Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJob

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJob

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJob

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ReportJob.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `OUTPUT_FORMAT_CSV`
`static byte` | `OUTPUT_FORMAT_HTML`
`static byte` | `OUTPUT_FORMAT_PDF`
`static byte` | `OUTPUT_FORMAT_RTF`
`static byte` | `OUTPUT_FORMAT_XLS`
`static int` | `VERSION_NEW`

Constructor Summary
`ReportJob()`

Method Summary
`boolean` | `addOutputFormat(byte outputFormat)`
`java.lang.String` | `getBaseOutputFilename()`
`ReportJobRepositoryDestination` | `getContentRepositoryDestination()`
`java.lang.String` | `getDescription()`
`long` | `getId()`
`java.lang.String` | `getLabel()`
`ReportJobMailNotification` | `getMailNotification()`
`java.util.Set` | `getOutputFormats()`
`java.lang.String` | `getOutputLocale()`
`ReportJobSource` | `getSource()`
`ReportJobTrigger` | `getTrigger()`
`java.lang.String` | `getUsername()`
`int` | `getVersion()`
`boolean` | `removeOutputFormat(byte outputFormat)`
`void` | `setBaseOutputFilename(java.lang.String baseOutputFilename)`
`void` | `setContentRepositoryDestination(ReportJobRepositoryDestination contentRepositoryDestination)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMailNotification(ReportJobMailNotification mailNotification)`
`void` | `setOutputFormats(java.util.Set outputFormats)`
`void` | `setOutputLocale(java.lang.String outputLocale)`
`void` | `setSource(ReportJobSource source)`
`void` | `setTrigger(ReportJobTrigger trigger)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_NEW

    public static final int VERSION_NEW

See Also:
  Constant Field Values

### OUTPUT_FORMAT_PDF

    public static final byte OUTPUT_FORMAT_PDF

See Also:
  Constant Field Values

### OUTPUT_FORMAT_HTML

    public static final byte OUTPUT_FORMAT_HTML

See Also:
  Constant Field Values

### OUTPUT_FORMAT_XLS

    public static final byte OUTPUT_FORMAT_XLS

See Also:
  Constant Field Values

### OUTPUT_FORMAT_RTF

    public static final byte OUTPUT_FORMAT_RTF

See Also:
  Constant Field Values

### OUTPUT_FORMAT_CSV

    public static final byte OUTPUT_FORMAT_CSV

See Also:
  Constant Field Values

Constructor Detail

### ReportJob

    public ReportJob()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getSource

    public ReportJobSource getSource()

### setSource

    public void setSource(ReportJobSource source)

### getTrigger

    public ReportJobTrigger getTrigger()

### setTrigger

    public void setTrigger(ReportJobTrigger trigger)

### getMailNotification

    public ReportJobMailNotification getMailNotification()

### setMailNotification

    public void setMailNotification(ReportJobMailNotification mailNotification)

### getContentRepositoryDestination

    public ReportJobRepositoryDestination getContentRepositoryDestination()

### setContentRepositoryDestination

    public void setContentRepositoryDestination(ReportJobRepositoryDestination contentRepositoryDestination)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getBaseOutputFilename

    public java.lang.String getBaseOutputFilename()

### setBaseOutputFilename

    public void setBaseOutputFilename(java.lang.String baseOutputFilename)

### getOutputFormats

    public java.util.Set getOutputFormats()

### setOutputFormats

    public void setOutputFormats(java.util.Set outputFormats)

### addOutputFormat

    public boolean addOutputFormat(byte outputFormat)

### removeOutputFormat

    public boolean removeOutputFormat(byte outputFormat)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getOutputLocale

    public java.lang.String getOutputLocale()

### setOutputLocale

    public void setOutputLocale(java.lang.String outputLocale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.